<?php
require_once("../../config.php");
require_once($urnreg_path."/AuthManager.php");

$auth = AuthManager::getAuth();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
	<title>URNreg</title>
    <link href="css/urnreg.css" rel="stylesheet" type="text/css">
	<link rel="stylesheet" type="text/css" href="NiftyCube/niftyCorners.css">
	<script type="text/javascript" src="Prototype/prototype.js"></script>
	<script type="text/javascript" src="NiftyCube/niftycube.js"></script>
	<script type="text/javascript" src="js/Base64.js"></script>
	<script type="text/javascript" src="js/URNregConfig.php"></script>
	<script type="text/javascript" src="js/urnregmanager.js"></script>
	<script type="text/javascript" src="js/oidregmanager.js"></script>
	<script type="text/javascript">
	    //<![CDATA[
	    var urnregConfig = new URNregConfig();
    	var urnregManager = new URNregManager();
    	var oidregManager = new OIDregManager();
    	
		function checkEnter(e) {
			var kC = window.event ? event.keyCode : e && e.keyCode ? e.keyCode : e && e.which ? e.which : null;
			if (kC) return kC == 13;
			else return false;
		}
		
		window.onload=function(){
<?php
	if (array_key_exists("go",$_REQUEST)) {
		$go = $_REQUEST["go"];
		foreach ($OID_VALUE_BASE as $base) {
			if (strpos($go,$base)!==FALSE&&strpos($go,$base)==0) {
?>
			urnregManager.showChainURNdiv(oidregManager.getURNFromOID('<?php echo $go; ?>'),oidregManager.getURNFromOID('<?php echo $base; ?>'));
<?php
			}
		}
?>
<?php
	}
	else {
?>
			urnregManager.showURNdiv(oidregManager.getURNFromOID('<?php echo $OID_VALUE_BASE[0]; ?>'));
<?php
	}
?>
			var l = $('headercontent');
            var r = $('searchbox');
            
            if (r.offsetHeight >= l.offsetHeight) {
            	l.style.height = r.offsetHeight + "px";
            }
            else {
            	r.style.height = l.offsetHeight + "px";
            }
		}
    	
    	function chooseUrn(idSel) {
    		var select = document.getElementById(idSel);
    		var index = select.selectedIndex;
    		var value = select[index].value;
    		var rootElem=$("contenturns");
			rootElem.innerHTML="&nbsp;";
    		urnregManager.showURNdiv(oidregManager.getURNFromOID(value));
    	}
	</script>
</head>
<body>
<div id="main">
	<div id="header">
		<div id="headerthing">&nbsp;</div>
		<div id="headercontent">
			<div id="searchbox">
				<div><span title="Search in registered URNs" tooltip="true" id="searchbutton" onclick="urnregManager.search();">&nbsp;</span><input type="text" name="search" id="search" class="inputtext" onkeypress="if(checkEnter(event))urnregManager.search();"/></div>
			</div>
			<div id="nav">
				<ul id="list">
<?php
if ($auth->isAuth()) {
?>
					<li style="float: right;">Logged as <?php echo $auth->getUser(); ?> - <a href="logout.php"><span>Logout</span></a></li>
<?php
}
else {
?>
					<li style="float: right;"><a href="login.php"><span>Login</span></a></li>
<?php
}
?>
					<li><a href="index.php"><span>Home</span></a></li>
					<li><a href="browser.php"><span>See URNs</span></a></li>
					<li><a href="browser-oid.php"><span>See OIDs</span></a></li>
					<li><a href="api.php"><span>API</span></a></li>
					<li><a href="admin.php"><span>Admin</span></a></li>
				</ul>
			</div>
		</div>
	</div>
<?php
if (count($OID_VALUE_BASE)>1) {
?>
	<div id="sel">
			<div class="infoblock">
				<div>
					<div class="leftcol">Choose namespace:</div>
					<div class="rightcol"><select id="selectorurn">
<?php
	foreach ($OID_VALUE_BASE as $oid) {
?>
			<option value="<?php echo $oid; ?>"><?php echo $oid; ?></option>
<?php
	}
?>
		</select></div>
				</div>
		<div id="machine"><input type="button" name="selecturn" id="selecturn" value="Aceptar" onclick="chooseUrn('selectorurn');"/></div>
	</div>
<?php
}
?>
	<div id="contenturns">&nbsp;</div>
	<div id="footer"><img src="icons/siledap-api.png" alt="api" /></div>
</div>
</body>
</html>
