<?xml version="1.0" encoding="ISO-8859-1"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">

<xs:element name="Response">
  <xs:complexType>
    <xs:sequence>
      <xs:element ref="urns" />
    </xs:sequence>
  </xs:complexType>
</xs:element>
  
<xs:element name="urns">
  <xs:complexType>
    <xs:sequence>
      <xs:element ref="urn" minOccurs="0" maxOccurs="unbounded" />
    </xs:sequence>
  </xs:complexType>
</xs:element>
  
<xs:element name="urn">
  <xs:complexType>
    <xs:attribute name="value" type="xs:string"/>
    <xs:attribute name="owner" type="xs:string"/>
    <xs:sequence>
      <xs:element ref="httpsuri" />
      <xs:element ref="ldapuri" minOccurs="0" />
      <xs:element ref="contactPerson" minOccurs="0" />
    </xs:sequence>
  </xs:complexType>
</xs:element>

<xs:element name="httpsuri">
  <xs:complexType>
    <xs:attribute name="value" type="xs:string"/>
  </xs:complexType>
</xs:element>

<xs:element name="ldapuri">
  <xs:complexType>
    <xs:attribute name="value" type="xs:string"/>
  </xs:complexType>
</xs:element>

<xs:element name="contactPerson">
  <xs:complexType>
    <xs:attribute name="givenName" type="xs:string"/>
    <xs:attribute name="sn1" type="xs:string"/>
    <xs:attribute name="sn2" type="xs:string" minOccurs="0" />
    <xs:attribute name="cn" type="xs:string"/>
    <xs:attribute name="mail" type="xs:string"/>
    <xs:attribute name="postalAddress" type="xs:string"/>
    <xs:attribute name="phone" type="xs:string"/>
  </xs:complexType>
</xs:element>

</xs:schema>